PyDL:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- pydl v0.7.0 »
- SDSS Spectroscopic Data (`pydl.pydlspec2d`) »
- combine1fiber

# combine1fiber

`pydl.pydlspec2d.spec2d.``combine1fiber`(inloglam, objflux, newloglam, objivar=None, verbose=False, **kwargs)

  Combine several spectra of the same object, or resample a single spectrum.

  Parameters:

  inloglam : `numpy.ndarray`

  > Vector of log wavelength.

  objflux : `numpy.ndarray`

  > Input flux.

  newloglam : `numpy.ndarray`

  > Output wavelength pixels, vector of log wavelength.

  objivar : `numpy.ndarray`, optional

  > Inverse variance of the flux.

  verbose : `bool`, optional

  > If `True`, set log level to DEBUG.

  Returns:

  `tuple()` of `numpy.ndarray`

  > The resulting flux and inverse variance.

  Raises:

  :exc:`ValueError`

  > If input dimensions don’t match.